Hyperbola-Bootstrap
==============

Bootstrap a base Hyperbola system from any GNU distro

Usage
=====

Make your Hyperbola GNU+Linux-libre bootstrap:

```console
# bash make-bootstrap-file.sh
```

If you want change the download repository

```console
# bash make-bootstrap-file.sh -u https://mirror.fsf.org/hyperbola/gnu-plus-linux-libre/testing
```

To display the script's help information, use the -h option:

```console
# bash make-bootstrap-file.sh -h
```

Why Root (Superuser) is Required ?
===================================

This script must be run as root (superuser) because it performs several critical operations that require administrative privileges.
The primary reason is the use of the **mknod** command to make device nodes (/dev/null, /dev/random, and /dev/urandom),
which is restricted to superusers due to security considerations.

License
=======

This work is licensed under the [GNU GPLv3+](LICENSE)
